import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce3 extends JApplet 
{ 
	 public ce3(double x1,double x2,int n,String s)
	 { 
	  Plot pp=new Plot(new f2D(),x1,x2,n);
	  pp.setPlabel("f(x)="+s);
	  pp.plot();
	 }
	 
	 public ce3(double x1,double x2,int n)
	 {Plot pp=new Plot(new f2D(),x1,x2,n);
	  pp.plot();
	 }
	 
	 public ce3(double x1,double x2)
	 {Plot pp=new Plot(new f2D(),x1,x2,50);
	  pp.plot();
	 }
	 
	  public static void main(String arg[])
	  {double a=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz x_minimum  : "));
       double b=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz x_maksimum : "));
	   ce3 xx=new ce3(a,b,400);}
 }
